Skip to main content
`Ctrl`+`K`

# MatProductGetAlgorithm

Returns the selected algorithm for a matrix-matrix product operation

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductGetAlgorithm(Mat mat, MatProductAlgorithm *alg)

Not Collective

## Input Parameter

- mat - the matrix whose values are computed via a matrix-matrix product operation

## Output Parameter

- alg - the selected algorithm of the matrix product, e.g., `MATPRODUCTALGORITHMDEFAULT`.

## See Also

Matrices, `MatProduct`, `Mat`, `MatProductSetAlgorithm()`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages